Page MenuHomePhabricator

"User must be logged in to view notification!" exception during global merge
Closed, ResolvedPublic

Description

2014-12-12 07:00:49 deployment-jobrunner01 hiwiki: [ac0332e1] [no req] MWException from line 77 of /srv/mediawiki/php-master/extensions/Echo/includes/NotifUser.php: User must be logged in to view notification!
#0 /srv/mediawiki/php-master/extensions/Echo/Hooks.php(1033): MWEchoNotifUser::newFromUser(Object(User))
#1 [internal function]: EchoHooks::onMergeAccountFromTo(Object(User), Object(User))
#2 /srv/mediawiki/php-master/includes/Hooks.php(208): call_user_func_array('EchoHooks::onMe...', Array)
#3 /srv/mediawiki/php-master/includes/GlobalFunctions.php(3952): Hooks::run('MergeAccountFro...', Array, NULL)
#4 /srv/mediawiki/php-master/extensions/UserMerge/MergeUser.php(262): wfRunHooks('MergeAccountFro...', Array)
#5 /srv/mediawiki/php-master/extensions/UserMerge/MergeUser.php(31): MergeUser->mergeDatabaseTables()
#6 /srv/mediawiki/php-master/extensions/CentralAuth/includes/LocalRenameJob/LocalUserMergeJob.php(36): MergeUser->merge(Object(User))
#7 /srv/mediawiki/php-master/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameJob.php(17): LocalUserMergeJob->doRun()
#8 /srv/mediawiki/php-master/includes/jobqueue/JobRunner.php(136): LocalRenameJob->run()
#9 /srv/mediawiki/php-master/maintenance/runJobs.php(80): JobRunner->run(Array)
#10 /srv/mediawiki/php-master/maintenance/doMaintenance.php(101): RunJobs->execute()
#11 /srv/mediawiki/php-master/maintenance/runJobs.php(95): require_once('/srv/mediawiki/...')
#12 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
#13 {main}

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Legoktm created this task.Dec 12 2014, 8:04 PM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.
Legoktm claimed this task.Dec 15 2014, 10:14 PM
Legoktm added a project: MediaWiki-Core-Team.

I think https://gerrit.wikimedia.org/r/#/c/179969/ might have fixed this, but I need to test it more.

I think https://gerrit.wikimedia.org/r/#/c/179969/ might have fixed this, but I need to test it more.

@Legoktm: Ever found some time to "test it more"? :)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 8:33 PM
Keegan moved this task from To-do to Doing on the SUL-Finalization board.Mar 30 2015, 11:15 PM
Keegan moved this task from Doing to To-do on the SUL-Finalization board.Apr 29 2015, 8:36 PM
Legoktm closed this task as Resolved.May 12 2015, 8:06 PM
Keegan moved this task from To-do to Done on the SUL-Finalization board.May 12 2015, 9:10 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 6 2015, 4:01 PM